Bug 1670735 (change_libcrypt.so.1_posix_enosys) - libcrypt.so.1 (compatibility library for POSIX): Let encrypt, encrypt_r, setkey, setkey_r, and fcrypt return ENOSYS instead of performing any real operation
Summary: libcrypt.so.1 (compatibility library for POSIX): Let encrypt, encrypt_r, setk...
Keywords:
Status: CLOSED EOL
Alias: change_libcrypt.so.1_posix_enosys
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact:
URL:
Whiteboard:
Depends On: change_libcrypt.so.2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-30 09:49 UTC by Ben Cotton
Modified: 2020-05-26 14:43 UTC (History)
2 users (show)

Fixed In Version: libxcrypt-4.4.3-3.fc30
Doc Type: Removed functionality
Doc Text:
The version of the libcrypt.so.1 library included with Fedora 30 for POSIX-compatibility has entirely removed the functionality of the encrypt, encrypt_r, setkey, setkey_r, and fcrypt functions, while keeping fully binary compatibility with existing (third-party) applications possibly still using those funtions. If such an application attemps to call one of these functions, the corresponding function will indicate that it is not supported by the system in a POSIX-compliant way. For security reasons, the encrypt and encrypt_r functions will also overwrite their data-block argument with random bits. All existing binary executables linked against glibc's libcrypt should work unmodified with this version of the libcrypt.so.1 library supplied by the libxcrypt-compat package.
Clone Of:
Environment:
Last Closed: 2020-05-26 14:43:22 UTC
Type: ---
besser82: fedora_requires_release_note+


Attachments (Terms of Use)

Description Ben Cotton 2019-01-30 09:49:57 UTC
This is a tracking bug for Change: libcrypt.so.1 (compatibility library for POSIX): Let encrypt, encrypt_r, setkey, setkey_r, and fcrypt return ENOSYS instead of performing any real operation
For more details, see: https://fedoraproject.org/wiki/Changes/libcrypt_so_1_Let_encrypt_encrypt_r_setkey_setkey_r_and_fcrypt_return_ENOSYS_instead_of_performing_any_real_operation

Remove real functionality from encrypt, encrypt_r, setkey, setkey_r, and fcrypt from the libxcrypt.so.1 compatibility library and let those functions set "errno" to "ENOSYS" when invoked.

Comment 1 Björn 'besser82' Esser 2019-01-30 10:01:58 UTC
Building libxcrypt-4.4.3-3.fc30 for rawhide
Created task: 32342585
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=32342585

Comment 2 Björn 'besser82' Esser 2019-01-30 10:28:10 UTC
Build has finished.  The announce for testing has been mailed to fedora-devel [1].

Ready for QA!


[1]  https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/6D4MVJRV52VXVPSYD6CW2A2OKR7BKDJ3/

Comment 3 Björn 'besser82' Esser 2019-01-31 09:00:22 UTC
CC'ing: nb as he is the sponsor of janfrode.

Comment 4 Björn 'besser82' Esser 2019-01-31 09:03:15 UTC
Got the wrong tabs here, nm…  :/

Comment 5 Ben Cotton 2020-04-30 22:16:05 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-05-26 14:43:22 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.